## pbdagcon 0~20151114%2Bgit1d12e13%2Bds

=== debian/changelog ===
pbdagcon (0~20151114+git1d12e13+ds-2) unstable; urgency=medium

  * Adjust packaging for differences in pbseqlib organization.

 -- Afif Elghraoui <afif@ghraoui.name>  Fri, 22 Jan 2016 07:43:17 -0800

pbdagcon (0~20151114+git1d12e13+ds-1) unstable; urgency=low

  * Initial release (Closes: #796644)

 -- Afif Elghraoui <afif@ghraoui.name>  Fri, 11 Dec 2015 00:54:39 -0800

## pbdagcon 0~20151114+git1d12e13+ds

=== Makefile ===
.PHONY: all clean test init-submodule cpp-github cpp cpp-check cpp-clean
SHELL = /bin/bash -e

all: cpp-github

clean: cpp-clean

check: cpp-github-check

project: init-submodule cpp-github

init-submodule:
	$(MAKE) update-submodule
	$(MAKE) build-submodule

update-submodule:
	git submodule update --init

build-submodule:
	$(MAKE) -C blasr_libcpp/pbdata nopbbam=1 mklibconfig
	#$(MAKE) -C blasr_libcpp/pbdata mklibconfig
	$(MAKE) -C blasr_libcpp/alignment -f simple.mk nohdf=1
	$(MAKE) -C blasr_libcpp/pbdata nopbbam=1

submodule-clean:
	$(RM) -r blasr_libcpp
	
# C++ project build directives
cpp-github:
	$(MAKE) -C src/cpp BLASR=$(PWD)/blasr_libcpp/alignment PBDATA=$(PWD)/blasr_libcpp/pbdata

cpp-github-check:
	$(MAKE) -C test/cpp BLASR=$(PWD)/blasr_libcpp/alignment PBDATA=$(PWD)/blasr_libcpp/pbdata

cpp:
	$(MAKE) -C src/cpp

cpp-check: cpp
	$(MAKE) -C test/cpp

cpp-clean:
	$(MAKE) -C src/cpp clean
	$(MAKE) -C test/cpp clean

clean-all: cpp-clean submodule-clean
	$(RM)r src/cpp/third-party/boost_1_58_0-headersonly
	$(RM)r test/cpp/gtest-1.7.0

=== src/cpp/Makefile ===
include pbi.mk
include boost.mk

COMMON_OBJECTS := Alignment.o AlnGraphBoost.o
PBDAGCON_OBJECTS := BlasrM5AlnProvider.o main.o SimpleAligner.o
DAZCON_OBJECTS := DB.o align.o DazAlnProvider.o dazcon.o

CXXFLAGS = -O3 -std=c++11 -Wall -Wuninitialized -pedantic -I third-party \
		   -I $(BOOST_HEADERS)

CFLAGS = -O3 -Wall -Wextra -fno-strict-aliasing

INCDIRS := -I$(PBDATA) -I$(BLASR) $(EXTRA_INCDIRS)
LDFLAGS := -L$(PBDATA) -L$(BLASR) $(EXTRA_LDFLAGS)

all: pbdagcon

dazcon: LDLIBS = -lpthread
dazcon: $(COMMON_OBJECTS) $(DAZCON_OBJECTS)
	$(CXX) -Wl,--no-as-needed -o $@ $^ $(LDLIBS)

pbdagcon: LDLIBS = -lpbdata -lblasr -lpthread $(EXTRA_LDLIBS)
pbdagcon: CXXFLAGS += $(INCDIRS)
pbdagcon: $(COMMON_OBJECTS) $(PBDAGCON_OBJECTS)
	$(CXX) -Wl,--no-as-needed $(LIBDIRS) -o $@ $^ $(LDFLAGS) $(LDLIBS)

$(COMMON_OBJECTS): $(BOOST_HEADERS)

$(BOOST_HEADERS):
	cd third-party && $(GET_BOOST)

clean:
	$(RM) *.d
	$(RM) *.o
	$(RM) pbdagcon
	$(RM) dazcon

.PHONY: all clean

=== test/cpp/Makefile ===
.PHONY: all check test_target_hit test_alngraph test_alignment test_simple_aligner
# project source code
SRCDIR := ../../src/cpp

include $(SRCDIR)/pbi.mk
include $(SRCDIR)/boost.mk
include gtest.mk

GTEST_CPPFLAGS += -isystem $(GTEST_DIR)/include
GTEST_CXXFLAGS += -g -Wall -Wextra -pthread

INCDIRS := -I$(PBDATA) -I$(BLASR) -I$(BOOST_HEADERS) -I$(GTEST_DIR)/include -I$(GTEST_DIR) $(EXTRA_INCDIRS)
LDFLAGS := -L$(PBDATA) -L$(BLASR) $(EXTRA_LDFLAGS)
LDLIBS := -lpbdata -lblasr -lpthread ${EXTRA_LDLIBS}

CXXFLAGS := -O3 -std=c++11 $(INCDIRS) -I$(SRCDIR)

GTEST_OBJECTS := gtest-all.o gtest_main.o
DAZCON_OBJECTS := $(SRCDIR)/DB.o $(SRCDIR)/align.o $(SRCDIR)/Alignment.o \
			      $(SRCDIR)/DazAlnProvider.o

PBDAGCON_OBJECTS := $(SRCDIR)/AlnGraphBoost.o $(SRCDIR)/Alignment.o \
					$(SRCDIR)/SimpleAligner.o 
vpath %.cc $(gtest_version)/src

BUILDMSG = "=== Building $@ ==="

all: check

check: test_target_hit test_alngraph test_alignment test_simple_aligner

# XXX: need to mock out db_ in order to run test_target

test_target_hit: $(GTEST_OBJECTS) $(DAZCON_OBJECTS) TargetHitTest.o 
	@echo $(BUILDMSG)
	$(CXX) $^ -o $@ -lpthread
	./$@

test_target: $(GTEST_OBJECTS) $(DAZCON_OBJECTS) TargetTest.o
	@echo $(BUILDMSG)
	$(CXX) $^ -o $@ -lpthread
	./$@

test_alngraph: $(GTEST_OBJECTS) $(PBDAGCON_OBJECTS) AlnGraphBoostTest.o
	@echo $(BUILDMSG)
	$(CXX) $^ -static -o $@ $(LDFLAGS) $(LDLIBS)
	./$@

test_alignment: $(GTEST_OBJECTS) $(PBDAGCON_OBJECTS) AlignmentTest.o
	@echo $(BUILDMSG)
	$(CXX) $^ -static -o $@ $(LDFLAGS) $(LDLIBS)
	./$@

test_simple_aligner: $(GTEST_OBJECTS) $(PBDAGCON_OBJECTS) SimpleAlignerTest.o
	@echo $(BUILDMSG)
	$(CXX) $^ -static -o $@ $(LDFLAGS) $(LDLIBS)
	./$@

$(SRCDIR)/AlnGraphBoost.o: $(BOOST_HEADERS)

$(GTEST_OBJECTS): $(GTEST_DIR)
	$(CXX) $(GTEST_CPPFLAGS) -I$(GTEST_DIR) $(GTEST_CXXFLAGS) -c $</src/$(@:.o=.cc)

$(BOOST_HEADERS):
	@echo Fetching boost headers from $(URI)
	cd $(SRCDIR)/third-party && $(GET_BOOST)

$(GTEST_DIR):
	@echo Fetching gtest from $(gtest_uri)
	$(get_gtest)
	unzip -q $(gtest_version).zip
	$(RM) $(gtest_version).zip

clean:
	$(RM) $(SRCDIR)/*.o
	$(RM) *.o
	$(RM) test_*

=== debian/control ===
Source: pbdagcon
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders:
	Afif Elghraoui <afif@ghraoui.name>,
Build-Depends:
	debhelper (>= 9),
	libboost-dev,
	libtclap-dev,
	libpbdata-dev,
	libblasr-dev,
	libpbihdf-dev,
# Test-Depends:
	libgtest-dev,
Standards-Version: 3.9.6
Homepage: https://github.com/PacificBiosciences/pbdagcon
Vcs-Git: git://anonscm.debian.org/debian-med/pbdagcon.git
Vcs-Browser: http://anonscm.debian.org/cgit/debian-med/pbdagcon.git

Package: pbdagcon
Architecture: any
Depends:
	${shlibs:Depends},
	${misc:Depends},
	libpbdata,
	libblasr,
Suggests:
	blasr,
Description: sequence consensus using directed acyclic graphs
 pbdagcon is a tool that implements DAGCon (Directed Acyclic Graph Consensus)
 which is a sequence consensus algorithm based on using directed acyclic
 graphs to encode multiple sequence alignment.
 .
 It uses the alignment information from blasr to align sequence reads to a
 "backbone" sequence. Based on the underlying alignment directed acyclic graph
 (DAG), it will be able to use the new information from the reads to find the
 discrepancies between the reads and the "backbone" sequences. A dynamic
 programming process is then applied to the DAG to find the optimum sequence
 of bases as the consensus. The new consensus can be used as a new backbone
 sequence to iteratively improve the consensus quality.
 .
 While the code is developed for processing PacBio(TM) raw sequence data,
 the algorithm can be used for general consensus purpose. Currently, it only
 takes FASTA input. For shorter read sequences, one might need to adjust the
 blasr alignment parameters to get the alignment string properly.
 .
 The code and the underlying graphical data structure have been used for some
 algorithm development prototyping including phasing reads and pre-assembly.

=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE = 1
include /usr/share/dpkg/default.mk

export boost := /usr/include/boost
export BLASR := /usr/include/blasr
export PBDATA := /usr/include/pbdata
export gtest := /usr/src/gtest

LIBBLASR = /usr/lib/$(DEB_HOST_MULTIARCH)/blasr
LIBPBDATA = /usr/lib/$(DEB_HOST_MULTIARCH)/pbdata
LIBPBIHDF = /usr/lib/$(DEB_HOST_MULTIARCH)/pbihdf

export DEB_LDFLAGS_MAINT_APPEND = -L$(LIBBLASR) -L$(LIBPBDATA)
export LD_RUN_PATH=$(LIBBLASR):$(LIBPBDATA):$(LIBPBIHDF)

%:
	dh $@ --parallel

=== debian/watch ===
version=3

# There are no formal upstream releases

## pbdagcon 0.3%2B20161121%2Bds

=== debian/changelog ===
pbdagcon (0.3+20161121+ds-1) unstable; urgency=medium

  * New upstream revision (upstream git 87f393f)
  * Include repository's submodules
  * Base package versioning on program versions indicated in the source code
  * Build with pbbam (Closes: #848755)
  * Use pbseqlib metapackages as dependencies
  * Build dazcon
  * Activate build-time tests
  * Use debhelper compat 10

 -- Afif Elghraoui <afif@debian.org>  Wed, 21 Dec 2016 01:18:19 -0800

pbdagcon (0~20160325+ds-1) unstable; urgency=medium

  * Imported Upstream version 0~20160325+ds
    (upstream git revision f19aed1)
  * Do not use rpath for pbseqlib
  * Update patches
  * d/rules: update for changes to build system and dependencies
  * Do not build dazcon for now (needs additional sources)
  * d/copyright: Remove obsolete declarations

 -- Afif Elghraoui <afif@debian.org>  Sun, 23 Oct 2016 19:43:31 -0700

pbdagcon (0~20151114+git1d12e13+ds-3) unstable; urgency=low

  * Bump Standards-Version to 3.9.8
  * Update email address and bump copyright year
  * Use encrypted protocols for VCS URLs
  * Do not use -isystem while building (Closes: #831105)

 -- Afif Elghraoui <afif@debian.org>  Thu, 04 Aug 2016 00:42:55 -0700

## pbdagcon 0.3+20161121+ds

=== DALIGNER/Makefile ===
CFLAGS = -O3 -Wall -Wextra -fno-strict-aliasing -Wno-unused-result

ALL = daligner HPCdaligner HPCmapper LAsort LAmerge LAsplit LAcat LAshow LAdump LAcheck LAindex daligner_p LA4Falcon LA4Ice DB2Falcon DB.so

all: $(ALL)

daligner: daligner.c filter.c filter.h align.c align.h DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o daligner daligner.c filter.c align.c DB.c QV.c -lpthread -lm

daligner_p: daligner.c filter.c filter.h align.c align.h DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o daligner_p daligner.c filter.c align.c DB.c QV.c -lpthread -lm -DFALCON_DALIGNER_P

HPCdaligner: HPCdaligner.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o HPCdaligner HPCdaligner.c DB.c QV.c -lm

HPCmapper: HPCmapper.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o HPCmapper HPCmapper.c DB.c QV.c -lm

LAsort: LAsort.c align.h DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o LAsort LAsort.c DB.c QV.c -lm

LAmerge: LAmerge.c align.h DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o LAmerge LAmerge.c DB.c QV.c -lm

LAshow: LAshow.c align.c align.h DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o LAshow LAshow.c align.c DB.c QV.c -lm

LAdump: LAdump.c align.c align.h DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o LAdump LAdump.c align.c DB.c QV.c -lm

LA4Falcon: LA4Falcon.c align.c align.h DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o LA4Falcon LA4Falcon.c align.c DB.c QV.c -lm

LA4Ice: LA4Ice.c align.c align.h DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o LA4Ice LA4Ice.c align.c DB.c QV.c -lm

LAcat: LAcat.c align.h DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o LAcat LAcat.c DB.c QV.c -lm

LAsplit: LAsplit.c align.h DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o LAsplit LAsplit.c DB.c QV.c -lm

LAcheck: LAcheck.c align.c align.h DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o LAcheck LAcheck.c align.c DB.c QV.c -lm

DB2Falcon: DB2Falcon.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o DB2Falcon DB2Falcon.c DB.c QV.c -lm

DB.so: DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -shared -fPIC -o DB.so DB.c QV.c -lm

LAindex: LAindex.c align.c align.h DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o LAindex LAindex.c align.c DB.c QV.c -lm

clean:
	rm -f $(ALL)
	rm -f LAupgrade.Dec.31.2014
	rm -f daligner.tar.gz

LAupgrade.Dec.31.2014: LAupgrade.Dec.31.2014.c align.c align.h DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o LAupgrade.Dec.31.2014 LAupgrade.Dec.31.2014.c align.c DB.c QV.c -lm


install:
	cp $(ALL) ~/bin

package:
	make clean
	tar -zcf daligner.tar.gz README *.h *.c Makefile

=== DAZZ_DB/Makefile ===
CFLAGS = -O3 -Wall -Wextra -Wno-unused-result -fno-strict-aliasing

ALL = fasta2DB DB2fasta quiva2DB DB2quiva DBsplit DBdust Catrack DBshow DBstats DBrm simulator \
      fasta2DAM DAM2fasta DBdump

all: $(ALL)

fasta2DB: fasta2DB.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o fasta2DB fasta2DB.c DB.c QV.c -lm

DB2fasta: DB2fasta.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o DB2fasta DB2fasta.c DB.c QV.c -lm

quiva2DB: quiva2DB.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o quiva2DB quiva2DB.c DB.c QV.c -lm

DB2quiva: DB2quiva.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o DB2quiva DB2quiva.c DB.c QV.c -lm

DBsplit: DBsplit.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o DBsplit DBsplit.c DB.c QV.c -lm

DBdust: DBdust.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o DBdust DBdust.c DB.c QV.c -lm

Catrack: Catrack.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o Catrack Catrack.c DB.c QV.c -lm

DBshow: DBshow.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o DBshow DBshow.c DB.c QV.c -lm

DBdump: DBdump.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o DBdump DBdump.c DB.c QV.c -lm

DBstats: DBstats.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o DBstats DBstats.c DB.c QV.c -lm

DBrm: DBrm.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o DBrm DBrm.c DB.c QV.c -lm

simulator: simulator.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o simulator simulator.c DB.c QV.c -lm

fasta2DAM: fasta2DAM.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o fasta2DAM fasta2DAM.c DB.c QV.c -lm

DAM2fasta: DAM2fasta.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o DAM2fasta DAM2fasta.c DB.c QV.c -lm

DBupgrade.Sep.25.2014: DBupgrade.Sep.25.2014.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o DBupgrade.Sep.25.2014 DBupgrade.Sep.25.2014.c DB.c QV.c -lm

DBupgrade.Dec.31.2014: DBupgrade.Dec.31.2014.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o DBupgrade.Dec.31.2014 DBupgrade.Dec.31.2014.c DB.c QV.c -lm

DUSTupgrade.Jan.1.2015: DUSTupgrade.Jan.1.2015.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o DUSTupgrade.Jan.1.2015 DUSTupgrade.Jan.1.2015.c DB.c QV.c -lm

clean:
	rm -f $(ALL)
	rm -fr *.dSYM
	rm -f DBupgrade.Sep.25.2014 DBupgrade.Dec.31.2014 DUSTupgrade.Jan.1.2015
	rm -f dazz.db.tar.gz

install:
	cp $(ALL) ~/bin

package:
	make clean
	tar -zcf dazz.db.tar.gz README Makefile *.h *.c

=== debian/changelog ===
pbdagcon (0.3+20161121+ds-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Disable build-time tests requiring the unavailable googletest
    package.

 -- Afif Elghraoui <afif@debian.org>  Wed, 26 Apr 2017 01:43:28 -0400

pbdagcon (0~20151114+git1d12e13+ds-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Afif Elghraoui <afif@ghraoui.name>  Wed, 27 Jan 2016 22:22:37 -0800

=== debian/control ===
--- 
+++ 
@@ -3,28 +3,30 @@
 Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders:
-	Afif Elghraoui <afif@ghraoui.name>,
+	Afif Elghraoui <afif@debian.org>,
 Build-Depends:
-	debhelper (>= 9),
+	debhelper (>= 10),
+	python,
+	zlib1g-dev,
+	libhdf5-dev,
 	libboost-dev,
 	libtclap-dev,
-	libpbdata-dev,
-	libblasr-dev,
-	libpbihdf-dev,
+	libpbseq-dev,
+	libpbbam-dev,
 # Test-Depends:
-	libgtest-dev,
-Standards-Version: 3.9.6
+#	googletest,
+Standards-Version: 3.9.8
 Homepage: https://github.com/PacificBiosciences/pbdagcon
-Vcs-Git: git://anonscm.debian.org/debian-med/pbdagcon.git
-Vcs-Browser: http://anonscm.debian.org/cgit/debian-med/pbdagcon.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/pbdagcon.git
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/pbdagcon.git
 
 Package: pbdagcon
 Architecture: any
 Depends:
 	${shlibs:Depends},
 	${misc:Depends},
-	libpbdata,
-	libblasr,
+	libpbseq,
+	libpbbam,
 Suggests:
 	blasr,
 Description: sequence consensus using directed acyclic graphs

=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE = 1
include /usr/share/dpkg/default.mk

GTEST = /usr/src/googletest/googletest
export GTEST_INCLUDE := $(GTEST)/include
export GTEST_SRC := $(GTEST)/src

PBSEQ_BASE=/usr/include/pbseq
export LIBBLASR_INCLUDE = $(PBSEQ_BASE)/alignment
export LIBPBDATA_INCLUDE = $(PBSEQ_BASE)/pbdata
export LIBPBIHDF_INCLUDE = $(PBSEQ_BASE)/hdf
export HDF5_LIB = /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial

export DALIGNER_SRC = $(CURDIR)/DALIGNER
export DAZZ_DB_SRC = $(CURDIR)/DAZZ_DB

%:
	dh $@

override_dh_auto_configure:
	./configure.py --shared

override_dh_auto_test: ;

## pbdagcon 0.3+git20161121.0000000+ds

=== debian/changelog ===
pbdagcon (0.3+git20161121.0000000+ds-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove manual dependencies on libpbbam, version build
    dependency on libpbbam-dev to ensure a proper dependency
    is generated.

 -- Adrian Bunk <bunk@debian.org>  Wed, 06 Feb 2019 09:20:03 +0200

pbdagcon (0.3+git20161121.0000000+ds-1) unstable; urgency=low

  * Team upload

  [ Afif Elghraoui ]
  * Add README.source

  [ Andreas Tille ]
  * d/watch: use git mode to detect new upstream commit
  * Reimport old source with version number fitting git mode
  * d/get-orig-source: checkout submodules for code copy of DALIGNER and
    DAZZ_DB which are specific adaptations to pbdagcon
  * debhelper 12
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.3.0
  * Build-Depends: libpbdata-dev
    Closes: #916576
  * Secure URI in copyright format

 -- Andreas Tille <tille@debian.org>  Mon, 04 Feb 2019 15:36:14 +0100

=== debian/control ===
--- 
+++ 
@@ -1,34 +1,30 @@
 Source: pbdagcon
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Uploaders: Afif Elghraoui <afif@debian.org>
 Section: science
 Priority: optional
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders:
-	Afif Elghraoui <afif@debian.org>,
-Build-Depends:
-	debhelper (>= 10),
-	python,
-	zlib1g-dev,
-	libhdf5-dev,
-	libboost-dev,
-	libtclap-dev,
-	libpbseq-dev,
-	libpbbam-dev,
+Build-Depends: debhelper (>= 12~),
+               python,
+               zlib1g-dev,
+               libhdf5-dev,
+               libboost-dev,
+               libtclap-dev,
+               libpbseq-dev,
+               libpbbam-dev (>= 0.18.0+dfsg-1~),
+               libpbdata-dev,
 # Test-Depends:
-#	googletest,
-Standards-Version: 3.9.8
+               googletest
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/med-team/pbdagcon
+Vcs-Git: https://salsa.debian.org/med-team/pbdagcon.git
 Homepage: https://github.com/PacificBiosciences/pbdagcon
-Vcs-Git: https://anonscm.debian.org/git/debian-med/pbdagcon.git
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/pbdagcon.git
 
 Package: pbdagcon
 Architecture: any
-Depends:
-	${shlibs:Depends},
-	${misc:Depends},
-	libpbseq,
-	libpbbam,
-Suggests:
-	blasr,
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         libpbseq
+Suggests: blasr
 Description: sequence consensus using directed acyclic graphs
  pbdagcon is a tool that implements DAGCon (Directed Acyclic Graph Consensus)
  which is a sequence consensus algorithm based on using directed acyclic

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,7 @@
 export LIBBLASR_INCLUDE = $(PBSEQ_BASE)/alignment
 export LIBPBDATA_INCLUDE = $(PBSEQ_BASE)/pbdata
 export LIBPBIHDF_INCLUDE = $(PBSEQ_BASE)/hdf
+export PBBAM_INCLUDE = $(PBSEQ_BASE)
 export HDF5_LIB = /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial
 
 export DALIGNER_SRC = $(CURDIR)/DALIGNER
@@ -21,5 +22,3 @@
 
 override_dh_auto_configure:
 	./configure.py --shared
-
-override_dh_auto_test: ;

## pbdagcon 0.3+git20180411.c14c422+dfsg

=== debian/changelog ===
pbdagcon (0.3+git20180411.c14c422+dfsg-8) unstable; urgency=medium

  * Team Upload.
  * d/salsa-ci.yml: Disable reprotest
  * d/t/control: Versioned test dep on blasr

 -- Nilesh Patra <nilesh@debian.org>  Thu, 10 Mar 2022 10:59:06 +0530

pbdagcon (0.3+git20180411.c14c422+dfsg-7) unstable; urgency=medium

  * Team Upload.
  * Versioned Build-Depends and Depends on
    pbseqlib based binary packages to pass debci
  * Drop Pranav from uploaders
    + Thanks for your work so far
  * d/rules: Drop DEB_CFLAGS_MAINT_APPEND (fixes FTBFS)
  * d/p/compiler-flags.patch: Remove forcing -std=c++14

 -- Nilesh Patra <nilesh@debian.org>  Thu, 10 Mar 2022 01:01:16 +0530

pbdagcon (0.3+git20180411.c14c422+dfsg-6) unstable; urgency=medium

  * Rebuild against libpbcopper
    Closes: #1005437

 -- Andreas Tille <tille@debian.org>  Sun, 13 Feb 2022 14:03:08 +0100

pbdagcon (0.3+git20180411.c14c422+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Fix FTCBFS (Closes: #983630)
  * Do not override compiler flags in tests either
  * Disable CI on i386

 -- Nilesh Patra <nilesh@debian.org>  Sun, 21 Nov 2021 16:07:06 +0530

pbdagcon (0.3+git20180411.c14c422+dfsg-4) unstable; urgency=medium

  * Team Upload.
  * Add Test-dep on dazzdb, blasr, daligner to
    fix autopkgtests (Closes: #996985)

 -- Nilesh Patra <nilesh@debian.org>  Fri, 22 Oct 2021 17:11:58 +0530

pbdagcon (0.3+git20180411.c14c422+dfsg-3) unstable; urgency=medium

  * No versioned depends libpbcopper-dev
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 08 Oct 2021 16:08:30 +0200

pbdagcon (0.3+git20180411.c14c422+dfsg-2) unstable; urgency=medium

  * Add autopkgtests
  * Install docs
  * Add Pranav Ballaney to Uploaders
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Pranav Ballaney <ballaneypranav@gmail.com>  Mon, 24 Aug 2020 01:04:20 +0530

pbdagcon (0.3+git20180411.c14c422+dfsg-1) unstable; urgency=medium

  * Add myself to Uploaders to have at least one human uploader after
    Afif removed himself.
  * Run 2to3 on Python2 files to try a Python3 port
    Closes: #937254
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.5.0
  * Build-Depends: s/python/python3/
  * Build-Depends: libpbcopper-dev, libpbihdf-dev
  * Replace outdated code copies of DAZZ_DB
    Closes: #949542
  * Latest libpbihdf and libpbdata are header only libs
  * Drop outdated copy of DAZZ_DB here
  * Recommend creating a real library in README.source
  * Versioned (Build-)Depends

 -- Andreas Tille <tille@debian.org>  Tue, 28 Jan 2020 11:13:47 +0100

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,31 @@
 Source: pbdagcon
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Afif Elghraoui <afif@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 12~),
-               python,
+Build-Depends: debhelper-compat (= 13),
+               python3:any,
                zlib1g-dev,
                libhdf5-dev,
                libboost-dev,
                libtclap-dev,
-               libpbseq-dev,
-               libpbbam-dev (>= 0.18.0+dfsg-1~),
-               libpbdata-dev,
-# Test-Depends:
-               googletest
-Standards-Version: 4.3.0
+               libpbseq-dev (>= 5.3.5+dfsg-4~),
+               libpbbam-dev,
+               libpbdata-dev (>= 5.3.5+dfsg-4~),
+               libpbcopper-dev,
+               libpbihdf-dev (>= 5.3.5+dfsg-4~),
+               googletest <!nocheck>
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/pbdagcon
 Vcs-Git: https://salsa.debian.org/med-team/pbdagcon.git
 Homepage: https://github.com/PacificBiosciences/pbdagcon
+Rules-Requires-Root: no
 
 Package: pbdagcon
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libpbseq
+         libpbseq (>= 5.3.5+dfsg-4~)
 Suggests: blasr
 Description: sequence consensus using directed acyclic graphs
  pbdagcon is a tool that implements DAGCon (Directed Acyclic Graph Consensus)

=== debian/rules ===
--- 
+++ 
@@ -14,8 +14,8 @@
 export PBBAM_INCLUDE = $(PBSEQ_BASE)
 export HDF5_LIB = /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial
 
-export DALIGNER_SRC = $(CURDIR)/DALIGNER
-export DAZZ_DB_SRC = $(CURDIR)/DAZZ_DB
+export DALIGNER_SRC = $(CURDIR)/debian/daligner-include
+export DAZZ_DB_SRC = $(CURDIR)/debian/dazzdb-include
 
 %:
 	dh $@

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, dazzdb, blasr (>= 5.3.5+dfsg-4), daligner
Restrictions: allow-stderr
